# Order Discount Items

Any discounts for an order are held in the Discount Item table in the Omnitron.

In the `api/v1/discount_items/detailed_integration/?order={order_id}` response, `discount_items`, that is, the discounted items, are shown in the result list.

If it is desired to return details for a single item in the result list, a request can be sent to `/api/v1/discount_items/{discountitem_id}/detailed_integration`. The response from this endpoint will show the details of the discount item id instead of `{discountitem_id}.`

Detailed information about the order discount is shown in the table below.

<table data-header-hidden><thead><tr><th width="137.578125"></th><th width="114.1796875"></th><th width="106.8828125"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Data Type</strong></td><td><strong>In</strong></td><td><strong>Description</strong></td></tr><tr><td>api_token</td><td>string</td><td>header</td><td><a href="/pages/qgPMhTo0zEnpGTXNhjIR">The API key of the customer’s account</a></td></tr><tr><td>{order_id}</td><td>string</td><td>query</td><td>Order ID</td></tr></tbody></table>

## <mark style="color:red;">`GET`</mark> <mark style="color:red;">Order Discount Items</mark>

**Path:** `api/i1/discount_items/detailed_integration/?order={order_id}`

Sample HTTP request to retrieve all discount items related to an order.

* `content_type` header represents the response type.
* `Authorization` header is a required header for authentication. You can retrieve api\_token with login.

**Example Request**

```python
import requests

url = "https://{customer_api_url}api/v1/discount_items/detailed_integration/?order={order_id}"

api_token = "f532eXXXXXXXXXXXXXXXXX201XXXXX9332d"

headers = {
    'content-type': 'application/json',
    'Authorization': 'Token {}'.format(api_token)
}

response = requests.get(url, headers=headers)
print(response.text)

```

**Example Response**

Shows desired discount items. All parameters of a discount item are described in the table below.

**Benefit Applicant Set**

It is the table that establishes the relationship between the discount item and the order item.

<table data-header-hidden><thead><tr><th width="170.546875"></th><th width="108.8046875"></th><th></th></tr></thead><tbody><tr><td><strong>Key</strong></td><td><strong>Value</strong></td><td><strong>Description</strong></td></tr><tr><td>pk</td><td>integer</td><td>discount item's ID</td></tr><tr><td>name</td><td>text</td><td>discount name</td></tr><tr><td>amount</td><td>decimal</td><td>discount amount</td></tr><tr><td>order</td><td>integer</td><td>order pk</td></tr><tr><td>offer_type</td><td>enum</td><td>discount type</td></tr><tr><td>session_offer_type</td><td>enum</td><td>session offer type</td></tr><tr><td>code</td><td>text</td><td>coupon code (if applicable)</td></tr><tr><td>benefitapplicant_set</td><td>dict</td><td>order items with discount</td></tr><tr><td>promotion</td><td>dict</td><td>implemented campaign</td></tr><tr><td>conditionapplicant_set</td><td>dict</td><td>order_items with discount</td></tr></tbody></table>

**Promotion**

Related promotion object in the order.

<table data-header-hidden><thead><tr><th width="157.5703125"></th><th width="125.42578125"></th><th></th></tr></thead><tbody><tr><td><strong>Key</strong></td><td><strong>Value</strong></td><td><strong>Description</strong></td></tr><tr><td>pk</td><td>integer</td><td>promotion ID</td></tr><tr><td>created_date</td><td>date</td><td>created date</td></tr><tr><td>modified_date</td><td>date</td><td>modified date</td></tr><tr><td>name</td><td>text</td><td>campaign name</td></tr><tr><td>slug</td><td>text</td><td>campaign slug</td></tr></tbody></table>

```json
 {
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
        {
            "pk": 10,
            "name": "3 al 2 Öde",
            "amount": "199.90",
            "order": 202,
            "offer_type": "basket_offer",
            "session_offer_type": null,
            "code": null,
            "modified_date": "2021-05-11T06:42:55.684412Z",
            "promotion": {
                "id": 1,
                "created_date": "2021-02-23T10:42:04.864679Z",
                "modified_date": "2021-02-23T10:42:04.864699Z",
                "name": "3 al 2 Öde",
                "slug": "3-al-2-ode"
            },
            "created_date": "2021-05-11T06:42:55.684393Z",
            "benefitapplicant_set": [
                {
                    "id": 16,
                    "created_date": "2021-05-11T06:42:55.694486Z",
                    "modified_date": "2021-05-11T06:42:55.721790Z",
                    "discount_share": "66.63",
                    "discount_item": 10,
                    "order_item": 414
                },
                {
                    "id": 17,
                    "created_date": "2021-05-11T06:42:55.700152Z",
                    "modified_date": "2021-05-11T06:42:55.727783Z",
                    "discount_share": "66.63",
                    "discount_item": 10,
                    "order_item": 415
                },
                {
                    "id": 18,
                    "created_date": "2021-05-11T06:42:55.706338Z",
                    "modified_date": "2021-05-11T06:42:55.732994Z",
                    "discount_share": "66.64",
                    "discount_item": 10,
                    "order_item": 416
                }
            ],
            "conditionapplicant_set": []
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron/integration/order/order-discount-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
